\documentclass[11pt,fleqn]{book}
% Default font size and left-justified equations

\input{structure.tex}

\hypersetup{%
  pdftitle={NCSR Demokritos Data Management Policies},%
  pdfauthor={Stasinos Konsdtantopoulos}}

\usepackage{xspace}

\newcommand{\term}[1]{\emph{#1}}
\newcommand{\quotes}[1]{`#1'}
\newcommand{\doi}[1]{\href{https://doi.org/#1}{\texttt{doi:#1}}}


\newcommand{\ncsr}{NCSR \quotes{Demokritos}\xspace}

\newcommand{\comment}[2]
{
\begin{corollary}[#1]
  #2
\end{corollary}
}
%\renewcommand{\comment}[2]{}


\begin{document}

\begingroup
\thispagestyle{empty} % Suppress headers and footers on the title page
\begin{tikzpicture}[remember picture,overlay]

%\node[inner sep=0pt] (background) at (current page.center) {\includegraphics[width=\paperwidth]{background.pdf}};

\node[anchor=north west,inner sep=0pt] at (0,0) {\includegraphics[width=5cm]{logo-ncsrd.png}};

\draw (current page.center) node [fill=ocre!30!white,fill opacity=0.6,text opacity=1,inner sep=1cm]{\Huge\centering\bfseries\sffamily\parbox[c][][t]{\paperwidth}%
{\centering Data Management Policies\\[15pt] %
{\Large \ncsr}\\[20pt] % Subtitle
}}; % Author name

\draw (current page.south) node [fill=ocre!30!white,fill opacity=0.6,text opacity=1,inner sep=1cm]{\Large\centering\bfseries\sffamily\parbox[c][][t]{\paperwidth}%
{\centering v0.3 \hskip 1em March 2022\\[55pt]}}; % Author name


\end{tikzpicture}
\vfill
\endgroup


%----------------------------------------------------------------------------------------
%	COPYRIGHT PAGE
%----------------------------------------------------------------------------------------

\newpage
~\vfill
\thispagestyle{empty}

\noindent Author Stasinos Konstantopoulos, 2022 \\

%\noindent \textsc{Published by NCSR `Demokritos', Ag. Paraskevi, Greece}\\
%\noindent \url{https://demokritos.gr}\\

\noindent This work is licensed under Attribution 4.0 International.
To view a copy of this license, visit
\url{http://creativecommons.org/licenses/by/4.0}


%----------------------------------------------------------------------------------------
%	TABLE OF CONTENTS
%----------------------------------------------------------------------------------------


% chapter images off - it can be turned back on
\usechapterimagefalse
%\usechapterimagetrue % default
%\chapterimage{chapter_head_1.pdf} % Table of contents heading image

%\pagestyle{empty} % Disable headers and footers for the following pages

%\tableofcontents % Print the table of contents itself

\cleardoublepage
\pagestyle{fancy} % Enable headers and footers again

\include{objectives}
\include{repositories}

\chapter{Software Repository}
\label{ch:nos-code}

Software (sources as well as binaries) can be perceived as a digital
object to be stored in NOS-Data, and this would satisfy FAIR
requirements. A minor extension to the metadata schema will also
cover cross-linking between data, the software used to processit, and
the articles that publish the findings of this processing.

In order to maximize re-usability, a further step would be to deploy a
full version control and container image server. This allows providing
not just individual pieced of software, but software bundled together
with its execution environment (a container) that can be readily
deployed in any modern computational infrastructure. Furthermore, it
allows publishing workflows that orchestrate pipelines of such
containers into complete systems.

The development and deployment of such a system can be re-visited
after the basic NOS-Data and NOS-Pub services have been deployed.


\chapter{Data Services}
\label{ch:nos-services}

The data stored in NOS-Data can be used to provide services that apply
user-requested processing. This can range from \emph{deep queying}
to full \emph{in situ} execution of user-provided code.

Deep querying services allow users to execute queries over the actual
data, as opposed queries over the metadata aimed at identifying
relevant datasets. Deep querying can save network utilization in
situations where a user needs only a small fraction or an aggregation
(such as an average or a summation) over a large-scale dataset.
By providing the ability to apply filters and aggegators at the
server, some information needs over large datasets can be satisfies
with minimal network  utilization.

Besides query processing, this approach can be extended to processing
arbitrary user-provided software. The idea of bringing the processing
to the data (as opposed to downloading data in order to processing)
underpins the system of DIAS services established for consuming
Copernicus data.

The development and deployment of such a system can be re-visited
after the basic NOS-Data and NOS-Pub services have been deployed.


\end{document}
